/* Generated from Haze-specific extensions to the Telepathy interfaces

Copyright (C) 2010 Collabora Limited

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA


 */

#ifdef __cplusplus
extern "C" {
#endif

/**
 *
HazeMailNotificationFlags:
 * @HAZE_MAIL_NOTIFICATION_FLAG_SUPPORTS_UNREAD_MAIL_COUNT: <![CDATA[           This Connection provides the number of unread e-mails (or e-mail           threads) in the main folder of your e-mail account, as the           UnreadMailCount property. The           connection manager will update this value by emitting the           UnreadMailsChanged signal.         ]]>
 * @HAZE_MAIL_NOTIFICATION_FLAG_SUPPORTS_UNREAD_MAILS: <![CDATA[           This Connection provides a detailed list of unread e-mails, as the           UnreadMails property. If this flag           is set, Supports_Unread_Mail_Count MUST be set, and           Emits_Mails_Received MUST NOT be set.           The Connection will update the list by emitting the           UnreadMailsChanged signals.         ]]>
 * @HAZE_MAIL_NOTIFICATION_FLAG_EMITS_MAILS_RECEIVED: <![CDATA[           This Connection emits the MailsReceived           signal, which provides details about newly arrived e-mails but does           not maintain their read/unread status afterwards. This flag MUST NOT           be combined with Supports_Unread_Mails.         ]]>
 * @HAZE_MAIL_NOTIFICATION_FLAG_SUPPORTS_REQUEST_INBOX_URL: <![CDATA[           This Connection can provide a URL (with optional POST data) to           open the the inbox of the e-mail account in a web-based client, via           the RequestInboxURL method.         ]]>
 * @HAZE_MAIL_NOTIFICATION_FLAG_SUPPORTS_REQUEST_MAIL_URL: <![CDATA[           This Connection can provide a URL (with optional POST data) to open             a specific mail in a web-based client, via the             RequestMailURL method. This feature             is not useful unless either Emits_Mails_Received or             Supports_Unread_Mails is set.            If this flag is not set, clients SHOULD fall back to using             RequestInboxURL if available.         ]]>
 * @HAZE_MAIL_NOTIFICATION_FLAG_THREAD_BASED: <![CDATA[           Each Mail represents a thread of e-mails, which             MAY have more than one sender.                         Google Talk notifies users about new mail in terms of unread               threads, rather than unread e-mails.                    ]]>
 *
 * <![CDATA[         Flags representing capabilities provided by a connection manager.           Those values can be used as bitfield. Some flags depend on, or           conflict with, each other.          Connections SHOULD implement as many of these features as the           underlying protocol allows, preferring to implement           Supports_Unread_Mails instead of Emits_Mails_Received if both are           possible.       ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    HAZE_MAIL_NOTIFICATION_FLAG_SUPPORTS_UNREAD_MAIL_COUNT = 1,
    HAZE_MAIL_NOTIFICATION_FLAG_SUPPORTS_UNREAD_MAILS = 2,
    HAZE_MAIL_NOTIFICATION_FLAG_EMITS_MAILS_RECEIVED = 4,
    HAZE_MAIL_NOTIFICATION_FLAG_SUPPORTS_REQUEST_INBOX_URL = 8,
    HAZE_MAIL_NOTIFICATION_FLAG_SUPPORTS_REQUEST_MAIL_URL = 16,
    HAZE_MAIL_NOTIFICATION_FLAG_THREAD_BASED = 32,
} HazeMailNotificationFlags;

/**
 *
HazeHTTPMethod:
 * @HAZE_HTTP_METHOD_GET: <![CDATA[           Use the GET method when opening the URL.         ]]>
 * @HAZE_HTTP_METHOD_POST: <![CDATA[           Use the POST method when opening the URL. Refer to           HTTP_Post_Data for more details.         ]]>
 *
 * <![CDATA[         The HTTP Method with which to request a URL.       ]]>
 *
 * Bitfield/set of flags generated from the Telepathy specification.
 */
typedef enum {
    HAZE_HTTP_METHOD_GET = 0,
    HAZE_HTTP_METHOD_POST = 1,
} HazeHTTPMethod;

/**
 * NUM_HAZE_HTTP_METHODS:
 *
 * 1 higher than the highest valid value of #HazeHTTPMethod.
 */
#define NUM_HAZE_HTTP_METHODS (1+1)


#ifdef __cplusplus
}
#endif
